repos:
  - repo: local
    hooks:
      - id: just-test
        name: Run just test
        entry: just test
        language: system
        files: '^.*$'
        pass_filenames: false
      - id: just-isort
        name: Run just isort
        entry: just isort
        language: system
        files: '^.*$'
        pass_filenames: false
      - id: just-lint
        name: Run just lint
        entry: just lint
        language: system
        files: '^.*$'
        pass_filenames: false
      - id: just-pyright
        name: Run just pyright
        entry: just pyright
        language: system
        files: '^.*$'
        pass_filenames: false
      - id: just-typos
        name: Run just typos
        entry: just typos
        language: system
        files: '^.*$'
        pass_filenames: false
